Bug 176171 - [MAINTAINER] games/simsu: update to 1.2.3
Summary: [MAINTAINER] games/simsu: update to 1.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-15 14:50 UTC by nemysis
Modified: 2013-02-20 19:30 UTC (History)
0 users

See Also:


Attachments
simsu-1.2.3.patch (3.50 KB, patch)
2013-02-15 14:50 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-02-15 14:50:00 UTC
- Update to 1.2.3

Please add in Makefile Header
# Created by:   nemysis@gmx.ch

Makefile changed:
+USE_GNOME=	desktopfileutils <-- because is used update-desktop-database
-PORTDATA=	* <-- use pkg-plist better
+	@-update-desktop-database

Changed and refined:
 post-install:
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 12:42:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-02-20 19:21:43 UTC
State Changed
From-To: open->closed

Committed, thank you!
Comment 3 dfilter service freebsd_committer 2013-02-20 19:21:51 UTC
Author: rm
Date: Wed Feb 20 19:21:31 2013
New Revision: 312655
URL: http://svnweb.freebsd.org/changeset/ports/312655

Log:
  - update to 1.2.3
  - restore 'Created by' in Makefile header
  - add dependency on desktopfileutils
  
  PR:		176171
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/games/simsu/Makefile
  head/games/simsu/distinfo
  head/games/simsu/pkg-plist

Modified: head/games/simsu/Makefile
==============================================================================
--- head/games/simsu/Makefile	Wed Feb 20 19:04:30 2013	(r312654)
+++ head/games/simsu/Makefile	Wed Feb 20 19:21:31 2013	(r312655)
@@ -1,8 +1,8 @@
+# Created by: nemysis@gmx.ch
 # $FreeBSD$
 
 PORTNAME=	simsu
-PORTVERSION=	1.2.2
-PORTREVISION=	2
+PORTVERSION=	1.2.3
 CATEGORIES=	games
 MASTER_SITES=	http://gottcode.org/${PORTNAME}/
 EXTRACT_SUFX=	-src.tar.bz2
@@ -14,10 +14,10 @@ LICENSE=	GPLv3
 
 USE_BZIP2=	yes
 USE_QT4=	moc_build qmake_build rcc_build uic_build iconengines imageformats
+USE_GNOME=	desktopfileutils
 INSTALLS_ICONS=	yes
 MAKE_JOBS_SAFE=	yes
 
-PORTDATA=	*
 PORTDOCS=	CREDITS ChangeLog
 
 .include <bsd.port.options.mk>
@@ -27,15 +27,13 @@ do-configure:
 		${QMAKE} ${QMAKEFLAGS} PREFIX=${PREFIX}
 
 post-install:
-# Pixmaps
-	${INSTALL_DATA} ${WRKSRC}/icons/hicolor/48x48/apps/simsu.png ${PREFIX}/share/pixmaps/
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
 
-# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.  for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.  endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
+	@-update-desktop-database
+
 .include <bsd.port.mk>

Modified: head/games/simsu/distinfo
==============================================================================
--- head/games/simsu/distinfo	Wed Feb 20 19:04:30 2013	(r312654)
+++ head/games/simsu/distinfo	Wed Feb 20 19:21:31 2013	(r312655)
@@ -1,2 +1,2 @@
-SHA256 (simsu-1.2.2-src.tar.bz2) = 86c18e7c05659ce3e9363b38941fe6f5024943bd2a7b24532bc56ab6a669dddd
-SIZE (simsu-1.2.2-src.tar.bz2) = 295584
+SHA256 (simsu-1.2.3-src.tar.bz2) = 623a27e487bd360bee58430b6530f3371f915a868910615572559a3e055a5da4
+SIZE (simsu-1.2.3-src.tar.bz2) = 328020

Modified: head/games/simsu/pkg-plist
==============================================================================
--- head/games/simsu/pkg-plist	Wed Feb 20 19:04:30 2013	(r312654)
+++ head/games/simsu/pkg-plist	Wed Feb 20 19:21:31 2013	(r312655)
@@ -10,5 +10,41 @@ share/icons/hicolor/48x48/apps/simsu.png
 share/icons/hicolor/64x64/apps/simsu.png
 share/icons/hicolor/scalable/apps/simsu.svg
 share/pixmaps/simsu.png
-share/pixmaps/simsu_32.xpm
+share/pixmaps/simsu.xpm
+%%DATADIR%%/translations/simsu_ca.qm
+%%DATADIR%%/translations/simsu_cs.qm
+%%DATADIR%%/translations/simsu_el.qm
+%%DATADIR%%/translations/simsu_en.qm
+%%DATADIR%%/translations/simsu_es.qm
+%%DATADIR%%/translations/simsu_es_CL.qm
+%%DATADIR%%/translations/simsu_fr.qm
+%%DATADIR%%/translations/simsu_he.qm
+%%DATADIR%%/translations/simsu_hu.qm
+%%DATADIR%%/translations/simsu_ro.qm
+%%DATADIR%%/translations/simsu_ru.qm
+%%DATADIR%%/translations/simsu_uk.qm
+@dirrm %%DATADIR%%/translations
+@dirrm %%DATADIR%%
+@dirrmtry share/icons/hicolor/scalable/apps
+@dirrmtry share/icons/hicolor/scalable
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/256x256/apps
+@dirrmtry share/icons/hicolor/256x256
+@dirrmtry share/icons/hicolor/24x24/apps
+@dirrmtry share/icons/hicolor/24x24
+@dirrmtry share/icons/hicolor/22x22/apps
+@dirrmtry share/icons/hicolor/22x22
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
 @dirrmtry share/applications
+@exec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
+@unexec %%LOCALBASE%%/bin/update-desktop-database -q || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"